<html>
<body>
Test<BR/>
<div>
<img src="data:image/png;charset=utf-8;base64,<?php
function do_post_request($url, $data, $optional_headers = null)
{
  $params = array('http' => array(
              'method' => 'POST',
              'content' => $data
            ));
  if ($optional_headers !== null) {
    $params['http']['header'] = $optional_headers;
  }
  $ctx = stream_context_create($params);
  $fp = @fopen($url, 'rb', false, $ctx);
  if (!$fp) {
    throw new Exception("Problem with $url, $php_errormsg");
  }
  $response = @stream_get_contents($fp);
  if ($response === false) {
    throw new Exception("Problem reading data from $url, $php_errormsg");
  }
  return $response;
}


function rest_helper($url, $params = null, $verb = 'GET', $format = 'json')
{
  $cparams = array(
    'http' => array(
      'method' => $verb,
      'ignore_errors' => true
    )
  );
  if ($params !== null) {
    $params = http_build_query($params);
    if ($verb == 'POST') {
      $cparams['http']['content'] = $params;
    } else {
      $url .= '?' . $params;
    }
  }

  $context = stream_context_create($cparams);
  $fp = fopen($url, 'rb', false, $context);
  if (!$fp) {
    $res = false;
  } else {
    // If you're trying to troubleshoot problems, try uncommenting the
    // next two lines; it will show you the HTTP response headers across
    // all the redirects:
    // $meta = stream_get_meta_data($fp);
    // var_dump($meta['wrapper_data']);
    $res = stream_get_contents($fp);
  }

  if ($res === false) {
    throw new Exception("$verb $url failed: $php_errormsg");
  }

  switch ($format) {
    case 'json':
      $r = json_decode($res);
      if ($r === null) {
        throw new Exception("failed to decode $res as json");
      }
      return $r;

    case 'xml':
      $r = simplexml_load_string($res);
      if ($r === null) {
        throw new Exception("failed to decode $res as xml");
      }
      return $r;

	case 'raw':
	return $res;
  }
  return $res;
}

// This lists projects by Ed Finkler on GitHub:
/*
foreach (
    rest_helper('http://github.com/api/v2/json/repos/show/funkatron')
    ->repositories as $repo) {
  echo $repo->name, "<br>\n";
  echo htmlentities($repo->description), "<br>\n";
  echo "<hr>\n";
}
*/
// This incomplete snippet demonstrates using POST with the Disqus API
/*var_dump(
  rest_helper(
    //"http://disqus.com/api/thread_by_identifier/"
	"points.php"
,
    array(
      'api_version' => '1.1',
      'user_api_key' => $my_disqus_api_key,
      'identifier' => $thread_unique_id,
      'forum_api_key' => $forum_api_key,
      'title' => 'HTTP POST from PHP, without cURL',
    ), 'POST'
  )
);
*/


print(base64_encode(rest_helper(
    //"http://disqus.com/api/thread_by_identifier/"
	"http://edit.br.fgov.be/edit_wp5/v1/points.php"
,
    array(
      'l' => 'v:atbi,e_w_0',
      'od' => '1:44.24133,6.823075|44.1233,6.5||2:44.34183,7.250454
|44.37383,7.250454
|44.38383,7.250454
|44.39383,7.250454
|44.40383,7.250454
|44.41383,7.250454
|44.42383,7.250454
|44.43383,7.250454
|44.44383,7.250454
|44.45383,7.250454
|44.46383,7.250454

|44.36383,7.250454
|44.35383,7.250454
|44.34383,7.250454
|44.33383,7.250454
|44.32383,7.250454
|44.31383,7.250454
|44.30383,7.250454
|44.29383,7.250454
|44.28383,7.250454
|44.27383,7.250454

|44.26383,7.250454
|44.25383,7.250454
|44.24383,7.250454
|44.33383,7.250454
|44.22383,7.250454
|44.21383,7.250454
|44.20383,7.250454
|44.19383,7.250454
|44.18383,7.250454
|44.17383,7.250454

|44.16383,7.250454
|44.15383,7.250454
|44.14383,7.250454
|44.13383,7.250454
|44.12383,7.250454
|44.11383,7.250454
|44.10383,7.250454
|44.09383,7.250454
|44.08383,7.250454
|44.07383,7.250454

|44.06383,7.250454
|44.05383,7.250454
|44.04383,7.250454
|44.03383,7.250454
|44.02383,7.250454
|44.01383,7.250454
|44.00383,7.250454
|43.99383,7.250454
|43.98383,7.250454
|43.97383,7.250454

|43.96383,7.250454
|43.95383,7.250454
|43.94383,7.250454
|43.93383,7.250454
|43.92383,7.250454
|43.91383,7.250454
|43.90383,7.250454
|43.89383,7.250454
|43.88383,7.250454
|43.87383,7.250454


|44.37383,7.270454
|44.38383,7.270454
|44.39383,7.270454
|44.40383,7.270454
|44.41383,7.270454
|44.42383,7.270454
|44.43383,7.270454
|44.44383,7.270454
|44.45383,7.270454
|44.46383,7.270454

|44.36383,7.270454
|44.35383,7.270454
|44.34383,7.270454
|44.33383,7.270454
|44.32383,7.270454
|44.31383,7.270454
|44.30383,7.270454
|44.29383,7.270454
|44.28383,7.270454
|44.27383,7.270454

|44.26383,7.270454
|44.25383,7.270454
|44.24383,7.270454
|44.33383,7.270454
|44.22383,7.270454
|44.21383,7.270454
|44.20383,7.270454
|44.19383,7.270454
|44.18383,7.270454
|44.17383,7.270454

|44.16383,7.260454
|44.15383,7.260454
|44.14383,7.260454
|44.13383,7.260454
|44.12383,7.260454
|44.11383,7.260454
|44.10383,7.260454
|44.09383,7.260454
|44.08383,7.260454
|44.07383,7.260454

|44.06383,7.260454
|44.05383,7.260454
|44.04383,7.260454
|44.03383,7.260454
|44.02383,7.270454
|44.01383,7.270454
|44.00383,7.270454
|43.99383,7.270454
|43.98383,7.270454
|43.97383,7.270454

|43.96383,7.270454
|43.95383,7.270454
|43.94383,7.270454
|43.93383,7.270454
|43.92383,7.270454
|43.91383,7.270454
|43.90383,7.270454
|43.89383,7.270454
|43.88383,7.270454
|43.87383,7.270454


|44.37383,6.850454
|44.38383,6.850454
|44.39383,6.850454
|44.40383,6.850454
|44.41383,6.850454
|44.42383,6.850454
|44.43383,6.850454
|44.44383,6.850454
|44.45383,6.850454
|44.46383,6.850454

|44.36383,6.850454
|44.35383,6.850454
|44.34383,6.850454
|44.33383,6.850454
|44.32383,6.850454
|44.31383,6.850454
|44.30383,6.850454
|44.29383,6.850454
|44.28383,6.850454
|44.27383,6.850454

|44.26383,6.850454
|44.25383,6.850454
|44.24383,6.850454
|44.33383,6.850454
|44.22383,6.850454
|44.21383,6.850454
|44.20383,6.850454
|44.19383,6.850454
|44.18383,6.850454
|44.17383,6.850454

|44.16383,6.850454
|44.15383,6.850454
|44.14383,6.850454
|44.13383,6.850454
|44.12383,6.850454
|44.11383,6.850454
|44.10383,6.850454
|44.09383,6.850454
|44.08383,6.850454
|44.07383,6.850454

|44.06383,6.850454
|44.05383,6.850454
|44.04383,6.850454
|44.03383,6.850454
|44.02383,6.850454
|44.01383,6.850454
|44.00383,6.850454
|43.99383,6.850454
|43.98383,6.850454
|43.97383,6.850454

|43.96383,6.850454
|43.95383,6.850454
|43.94383,6.850454
|43.93383,6.850454
|43.92383,6.850454
|43.91383,6.850454
|43.90383,6.850454
|43.89383,6.850454
|43.88383,6.850454
|43.87383,6.850454


|44.37383,6.870454
|44.38383,6.870454
|44.39383,6.870454
|44.40383,6.870454
|44.41383,6.870454
|44.42383,6.870454
|44.43383,6.870454
|44.44383,6.870454
|44.45383,6.870454
|44.46383,6.870454

|44.36383,6.870454
|44.35383,6.870454
|44.34383,6.870454
|44.33383,6.870454
|44.32383,6.870454
|44.31383,6.870454
|44.30383,6.870454
|44.29383,6.870454
|44.28383,6.870454
|44.27383,6.870454

|44.26383,6.870454
|44.25383,6.870454
|44.24383,6.870454
|44.33383,6.870454
|44.22383,6.870454
|44.21383,6.870454
|44.20383,6.870454
|44.19383,6.870454
|44.18383,6.870454
|44.17383,6.870454

|44.16383,6.860454
|44.15383,6.860454
|44.14383,6.860454
|44.13383,6.860454
|44.12383,6.860454
|44.11383,6.860454
|44.10383,6.860454
|44.09383,6.860454
|44.08383,6.860454
|44.07383,6.860454

|44.06383,6.860454
|44.05383,6.860454
|44.04383,6.860454
|44.03383,6.860454
|44.02383,6.870454
|44.01383,6.870454
|44.00383,6.870454
|43.99383,6.870454
|43.98383,6.870454
|43.97383,6.870454

|43.96383,6.870454
|43.95383,6.870454
|43.94383,6.870454
|43.93383,6.870454
|43.92383,6.870454
|43.91383,6.870454
|43.90383,6.870454
|43.89383,6.870454
|43.88383,6.870454
|43.87383,6.870454

|44.37383,6.550454
|44.38383,6.550454
|44.39383,6.550454
|44.40383,6.550454
|44.41383,6.550454
|44.42383,6.550454
|44.43383,6.550454
|44.44383,6.550454
|44.45383,6.550454
|44.46383,6.550454

|44.36383,6.550454
|44.35383,6.550454
|44.34383,6.550454
|44.33383,6.550454
|44.32383,6.550454
|44.31383,6.550454
|44.30383,6.550454
|44.29383,6.550454
|44.28383,6.550454
|44.27383,6.550454

|44.26383,6.550454
|44.25383,6.550454
|44.24383,6.550454
|44.33383,6.550454
|44.22383,6.550454
|44.21383,6.550454
|44.20383,6.550454
|44.19383,6.550454
|44.18383,6.550454
|44.17383,6.550454

|44.16383,6.550454
|44.15383,6.550454
|44.14383,6.550454
|44.13383,6.550454
|44.12383,6.550454
|44.11383,6.550454
|44.10383,6.550454
|44.09383,6.550454
|44.08383,6.550454
|44.07383,6.550454

|44.06383,6.550454
|44.05383,6.550454
|44.04383,6.550454
|44.03383,6.550454
|44.02383,6.550454
|44.01383,6.550454
|44.00383,6.550454
|43.99383,6.550454
|43.98383,6.550454
|43.97383,6.550454

|43.96383,6.550454
|43.95383,6.550454
|43.94383,6.550454
|43.93383,6.550454
|43.92383,6.550454
|43.91383,6.550454
|43.90383,6.550454
|43.89383,6.550454
|43.88383,6.550454
|43.87383,6.550454


|44.37383,6.570454
|44.38383,6.570454
|44.39383,6.570454
|44.40383,6.570454
|44.41383,6.570454
|44.42383,6.570454
|44.43383,6.570454
|44.44383,6.570454
|44.45383,6.570454
|44.46383,6.570454

|44.36383,6.570454
|44.35383,6.570454
|44.34383,6.570454
|44.33383,6.570454
|44.32383,6.570454
|44.31383,6.570454
|44.30383,6.570454
|44.29383,6.570454
|44.28383,6.570454
|44.27383,6.570454

|44.26383,6.570454
|44.25383,6.570454
|44.24383,6.570454
|44.33383,6.570454
|44.22383,6.570454
|44.21383,6.570454
|44.20383,6.570454
|44.19383,6.570454
|44.18383,6.570454
|44.17383,6.570454

|44.16383,6.560454
|44.15383,6.560454
|44.14383,6.560454
|44.13383,6.560454
|44.12383,6.560454
|44.11383,6.560454
|44.10383,6.560454
|44.09383,6.560454
|44.08383,6.560454
|44.07383,6.560454

|44.06383,6.560454
|44.05383,6.560454
|44.04383,6.560454
|44.03383,6.560454
|44.02383,6.570454
|44.01383,6.570454
|44.00383,6.570454
|43.99383,6.570454
|43.98383,6.570454
|43.97383,6.570454

|43.96383,6.570454
|43.95383,6.570454
|43.94383,6.570454
|43.93383,6.570454
|43.92383,6.570454
|43.91383,6.570454
|43.90383,6.570454
|43.89383,6.570454
|43.88383,6.570454
|43.87383,6.570454


|44.37383,7.550454
|44.38383,7.550454
|44.39383,7.550454
|44.40383,7.550454
|44.41383,7.550454
|44.42383,7.550454
|44.43383,7.550454
|44.44383,7.550454
|44.45383,7.550454
|44.46383,7.550454

|44.36383,7.550454
|44.35383,7.550454
|44.34383,7.550454
|44.33383,7.550454
|44.32383,7.550454
|44.31383,7.550454
|44.30383,7.550454
|44.29383,7.550454
|44.28383,7.550454
|44.27383,7.550454

|44.26383,7.550454
|44.25383,7.550454
|44.24383,7.550454
|44.33383,7.550454
|44.22383,7.550454
|44.21383,7.550454
|44.20383,7.550454
|44.19383,7.550454
|44.18383,7.550454
|44.17383,7.550454

|44.16383,7.550454
|44.15383,7.550454
|44.14383,7.550454
|44.13383,7.550454
|44.12383,7.550454
|44.11383,7.550454
|44.10383,7.550454
|44.09383,7.550454
|44.08383,7.550454
|44.07383,7.550454

|44.06383,7.550454
|44.05383,7.550454
|44.04383,7.550454
|44.03383,7.550454
|44.02383,7.550454
|44.01383,7.550454
|44.00383,7.550454
|43.99383,7.550454
|43.98383,7.550454
|43.97383,7.550454

|43.96383,7.550454
|43.95383,7.550454
|43.94383,7.550454
|43.93383,7.550454
|43.92383,7.550454
|43.91383,7.550454
|43.90383,7.550454
|43.89383,7.550454
|43.88383,7.550454
|43.87383,7.550454


|44.37383,7.570454
|44.38383,7.570454
|44.39383,7.570454
|44.40383,7.570454
|44.41383,7.570454
|44.42383,7.570454
|44.43383,7.570454
|44.44383,7.570454
|44.45383,7.570454
|44.46383,7.570454

|44.36383,7.570454
|44.35383,7.570454
|44.34383,7.570454
|44.33383,7.570454
|44.32383,7.570454
|44.31383,7.570454
|44.30383,7.570454
|44.29383,7.570454
|44.28383,7.570454
|44.27383,7.570454

|44.26383,7.570454
|44.25383,7.570454
|44.24383,7.570454
|44.33383,7.570454
|44.22383,7.570454
|44.21383,7.570454
|44.20383,7.570454
|44.19383,7.570454
|44.18383,7.570454
|44.17383,7.570454

|44.16383,7.560454
|44.15383,7.560454
|44.14383,7.560454
|44.13383,7.560454
|44.12383,7.560454
|44.11383,7.560454
|44.10383,7.560454
|44.09383,7.560454
|44.08383,7.560454
|44.07383,7.560454

|44.06383,7.560454
|44.05383,7.560454
|44.04383,7.560454
|44.03383,7.560454
|44.02383,7.570454
|44.01383,7.570454
|44.00383,7.570454
|43.99383,7.570454
|43.98383,7.570454
|43.97383,7.570454

|43.96383,7.570454
|43.95383,7.570454
|43.94383,7.570454
|43.93383,7.570454
|43.92383,7.570454
|43.91383,7.570454
|43.90383,7.570454
|43.89383,7.570454
|43.88383,7.570454
|43.87383,7.570454',
      'os' => '1:c/8B0000/10/Aeshna juncea||2:c/8Bff00/10/Aeshna2cea',
      'ms' => '400,350',
      'bbox' => '6.4,43.75,7.75,44.55',
	'recalculate' => 'false',
	'legend'=>'1',
	'raster'=>'mercantour'
    ), 'POST','raw'
  )))
;
?>"/>
</BODY>
</HTML>
